using System.Collections.Generic;
using System.Linq;
using UglyTrivia;

namespace Trivia
{
    public class InMemoryGameStore : IGameStore
    {
        private readonly IDictionary<int, string> _users
            = new Dictionary<int, string>();
        private readonly IDictionary<int, int> _purses = new Dictionary<int, int>();

        public void SaveUserName(int userId, string username)
        {
            this._users.Add(userId, username);
            _purses.Add(userId, 0);
        }

        public IList<string> GetUserNames()
        {
            return _users.Select(x => x.Value).ToList();
        }

        public int[] GetPurses()
        {
            return _purses.Select(x => x.Value).ToArray();
        }

        public void IncrementPurseForPlayer(int currentPlayer)
        {
            _purses[currentPlayer]++;
        }
    }
}